## Start livestreaming a meeting `client.RealtimeKit.Livestreams.StartLivestreamingAMeeting(ctx, appID, meetingID, params) (*LivestreamStartLivestreamingAMeetingResponse, error)` **post** `/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/livestreams` Starts livestream of a meeting associated with the given meeting ID. Retreive the meeting ID using the `Create a meeting` API. ### Parameters - `appID string` The app identifier tag. - `meetingID string` - `params LivestreamStartLivestreamingAMeetingParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `Name param.Field[string]` Body param - `VideoConfig param.Field[LivestreamStartLivestreamingAMeetingParamsVideoConfig]` Body param - `Height int64` Height of the livestreaming video in pixels - `Width int64` Width of the livestreaming video in pixels ### Returns - `type LivestreamStartLivestreamingAMeetingResponse struct{…}` - `Data LivestreamStartLivestreamingAMeetingResponseData` - `ID string` The livestream ID. - `IngestServer string` The server URL to which the RTMP encoder sends the video and audio data. - `PlaybackURL string` The web address that viewers can use to watch the livestream. - `Status LivestreamStartLivestreamingAMeetingResponseDataStatus` - `const LivestreamStartLivestreamingAMeetingResponseDataStatusLive LivestreamStartLivestreamingAMeetingResponseDataStatus = "LIVE"` - `const LivestreamStartLivestreamingAMeetingResponseDataStatusIdle LivestreamStartLivestreamingAMeetingResponseDataStatus = "IDLE"` - `const LivestreamStartLivestreamingAMeetingResponseDataStatusErrored LivestreamStartLivestreamingAMeetingResponseDataStatus = "ERRORED"` - `const LivestreamStartLivestreamingAMeetingResponseDataStatusInvoked LivestreamStartLivestreamingAMeetingResponseDataStatus = "INVOKED"` - `StreamKey string` Unique key for accessing each livestream. - `Success bool` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/realtime_kit" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.RealtimeKit.Livestreams.StartLivestreamingAMeeting( context.TODO(), "app_id", "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", realtime_kit.LivestreamStartLivestreamingAMeetingParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Name: cloudflare.F("prdmmp-xhycsl"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Data) } ``` #### Response ```json { "data": { "id": "7088bba8-f522-49a8-b59b-3cd0e946bbb0", "ingest_server": "rtmps://live.cloudflare.com:443/live/", "playback_url": "https://customer-s8oj0c1n5ek8ah1e.cloudflarestream.com/7de6a3fec0f9c05bf1df140950d3a237/manifest/video.m3u8", "status": "INVOKED", "stream_key": "f26566285faca6fbe2e79a73a66rsrrsrrsr3cde23a2bb7dbc6c2c1761b98f4e4" }, "success": true } ```